// RW Categories
// ==============
// The Information & Knowledge Categories Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/curator/alexandria/categories.hpp
// -Declarations of the baseline RW Categories sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::alexandria {

//------------------------------------------------------------------------------
/**
 */
class Categories_b : public RW {
 public:
  Categories_b();                                    // default ctor
  explicit Categories_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Categories : public Categories_b {
 public:
  Categories();                                    // default ctor
  explicit Categories(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::curator::alexandria

//    --=^=--

// "______"

// rw_curator_lib.v220219
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
