//    RW Form
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/atashi/beauty/form.cpp
// -Definitions of the baseline RW Form sub-library

#include "incls_all.hpp"

namespace rw::atashi::beauty {

//------------------------------------------------------------------------------
Form_b::Form_b() : Form_b{"form_b_obj"} {}

//------------------------------------------------------------------------------
Form_b::Form_b(std::string const& handle) : RW{handle, Type::Form} {
  stamp("Form_b()");
}

//------------------------------------------------------------------------------
Form::Form() : Form{"form_obj"} {}

//------------------------------------------------------------------------------
Form::Form(std::string const& handle) : Form_b{handle} {
  stamp("Form()");

  // preflight();
}

}  // namespace rw::atashi::beauty

//    --=^=--

// "______"

// rw_atashi_lib.v220219
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
