//   RW Mimicry
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./src/atashi/cognate/mimicry.cpp
// -Definitions of the baseline RW Mimicry sub-library

#include "incls_all.hpp"

namespace rw::atashi::cognate {

//------------------------------------------------------------------------------
Mimicry_b::Mimicry_b() : Mimicry_b{"mimicry_b_obj"} {}

//------------------------------------------------------------------------------
Mimicry_b::Mimicry_b(std::string const& handle) : RW{handle, Type::Mimicry} {
  stamp("Mimicry_b()");
}

//------------------------------------------------------------------------------
Mimicry::Mimicry() : Mimicry{"mimicry_obj"} {}

//------------------------------------------------------------------------------
Mimicry::Mimicry(std::string const& handle) : Mimicry_b{handle} {
  stamp("Mimicry()");

  // preflight();
}

}  // namespace rw::atashi::cognate

//    --=^=--

// "______"

// rw_atashi_lib.v220219
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
