//   RW Sysutils
// ================
// ______
// -The RW Foundational Libraries

// Filename: ./src/rw/sys/system.cpp
// -Definitions of some baseline RW Sysutils features

#include "incls_all.hpp"

namespace rw::sys {

//------------------------------------------------------------------------------
auto Hip::operator==(Hip const& other) const -> bool {
  return (hdl == other.hdl) &&  //
         (id == other.id) &&    //
         (ptr == other.ptr) &&  //
         (typ == other.typ);
}

//------------------------------------------------------------------------------
Hdl_id::Hdl_id(const Hip& hip) : hdl{hip.hdl}, id{hip.id} {}

//------------------------------------------------------------------------------
auto Hdl_id::operator==(const Hdl_id& other) const -> bool {
  return (hdl == other.hdl) &&  //
         (id == other.id);
}

}  // namespace rw::sys

//    --=^=--

// "So is it true Sempai? Are robowaifus really better than any human woman?"

// rw_foundations_lib.v220219
// Copyright (2022)
// License MIT(Expat) https://opensource.org/licenses/MIT
